=== debian/control ===
Source: desktop-base
Section: x11
Priority: optional
Maintainer: Gustavo Franco <stratus@debian.org>
Uploaders: Loïc Minier <lool@dooz.org>, Fathi Boudra <fboudra@free.fr>, Yves-Alexis Perez <corsac@corsac.net>
Build-Depends: cdbs, debhelper (>= 5.0.13)
Standards-Version: 3.7.2

Package: desktop-base
Architecture: all
Recommends: epiphany-browser | konqueror | www-browser
Suggests: gnome | kde | xfce4 | wmaker
Description: common files for the Debian Desktop
 This package contains various miscellaneous files which are used by
 Debian Desktop installations.  Currently, it provides some
 Debian-related artwork and themes, .desktop files containing links to
 Debian related material (suitable for placement on a user's desktop),
 and other common files between the available desktop environments
 such as GNOME and KDE.
