## desktop-base 4.0.1etch2

=== debian/changelog ===
desktop-base (4.0.1etch2) stable; urgency=low

  * Fix kde default wallpaper appearance between kdm to ksplash switch.

 -- Fathi Boudra <fboudra@free.fr>  Thu, 24 May 2007 01:22:06 +0200

desktop-base (4.0.1etch1) stable; urgency=low

  * Fix dir_config path in kdeglobals and kdesktoprc doesn't support symlink.
    (Closes: #422043)

 -- Fathi Boudra <fboudra@free.fr>  Wed, 16 May 2007 14:59:27 +0200
