=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: desktop-base
 Architecture: all
-Recommends: epiphany-browser | konqueror | www-browser
+Depends: librsvg2-common
 Suggests: gnome | kde | xfce4 | wmaker
 Description: common files for the Debian Desktop
  This package contains various miscellaneous files which are used by
