=== debian/changelog ===
desktop-base (4.0.6~bpo40+1) etch-backports; urgency=low

  * etch backport.
    - Lower debhelper compat level.

 -- Robert Millan <rmh@aybabtu.com>  Thu,  7 Feb 2008 23:49:30 +0100
