=== debian/control ===
--- 
+++ 
@@ -2,9 +2,14 @@
 Section: x11
 Priority: optional
 Maintainer: Gustavo Franco <stratus@debian.org>
-Uploaders: Loïc Minier <lool@dooz.org>, Fathi Boudra <fboudra@free.fr>, Yves-Alexis Perez <corsac@corsac.net>
-Build-Depends: cdbs, debhelper (>= 5.0.13)
-Standards-Version: 3.7.2
+Uploaders: Loïc Minier <lool@dooz.org>,
+           Fathi Boudra <fabo@debian.org>,
+           Yves-Alexis Perez <corsac@corsac.net>
+Build-Depends: cdbs, debhelper (>= 5)
+Standards-Version: 3.7.3
+Homepage: http://www.debian.org/devel/debian-desktop
+Vcs-Browser: http://svn.debian.org/wsvn/debian-desktop/packages/trunk/desktop-base
+Vcs-Svn: svn://svn.debian.org/debian-desktop/packages/trunk/desktop-base
 
 Package: desktop-base
 Architecture: all
