## desktop-base 4.0.7

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Loïc Minier <lool@dooz.org>,
            Fathi Boudra <fabo@debian.org>,
            Yves-Alexis Perez <corsac@corsac.net>
-Build-Depends: cdbs, debhelper (>= 5)
+Build-Depends: cdbs, debhelper (>= 6)
 Standards-Version: 3.7.3
 Homepage: http://www.debian.org/devel/debian-desktop
 Vcs-Browser: http://svn.debian.org/wsvn/debian-desktop/packages/trunk/desktop-base
