## desktop-base 4.1

=== debian/changelog ===
desktop-base (1:4.1) unstable; urgency=medium

  * Fix xml to show desktop background

 -- fsmithred <fsmithred@gmail.com>  Sat, 28 Aug 2021 09:00:00 -0400

desktop-base (1:4.0) unstable; urgency=medium

  * Update for deepsea theme in chimaera.

 -- fsmithred <fsmithred@gmail.com>  Mon, 28 Jun 2021 15:20:00 -0400

desktop-base (1:3.0) unstable; urgency=medium

  * Bump version, build for unstable.
  * Use compat 10 (see debian bug #885407)

 -- fsmithred <fsmithred@gmail.com>  Sun, 22 Sep 2019 09:45:00 -0400

desktop-base (1:2.0.4~test05) unstable; urgency=medium

  * Uncomment depends to include icon and window themes.

 -- fsmithred <fsmithred@gmail.com>  Sun, 22 Sep 2019 07:45:00 -0400

desktop-base (1:2.0.4~test04) unstable; urgency=medium

  * Add cinnabar art for beowulf
  * Add xfce4-desktop.xml for desktop background

 -- fsmithred <fsmithred@gmail.com>  Sat, 11 May 2019 09:05:00 -0400
