## desktop-base 5.5

=== debian/changelog ===
desktop-base (1:5.5) unstable; urgency=medium

  * Add lightdm greeter backgrounds.

 -- fsmithred <fsmithred@gmail.com>  Tue, 14 May 2023 07:43:00 -0400

desktop-base (1:5.4) unstable; urgency=medium

  * Add Origin: in d/control.

 -- fsmithred <fsmithred@gmail.com>  Tue, 02 May 2023 20:48:00 -0400

desktop-base (1:5.2) unstable; urgency=medium

  * Use Deepsea icon theme.

 -- fsmithred <fsmithred@gmail.com>  Tue, 02 May 2023 20:25:00 -0400

desktop-base (1:5.1) unstable; urgency=medium

  * Update depends for sapphire theme.

 -- fsmithred <fsmithred@gmail.com>  Sun, 02 Apr 2023 16:44:00 -0400

desktop-base (1:5.0) unstable; urgency=medium

  * Update for sapphire theme in daedalus.

 -- fsmithred <fsmithred@gmail.com>  Sun, 02 Apr 2023 12:00:00 -0400
