## desktop-base 5.9

=== debian/changelog ===
desktop-base (1:5.9) unstable; urgency=medium

  * Test for xfce file before trying to divert it.

 -- fsmithred <fsmithred@gmail.com>  Mon, 07 Apr 2025 17:17:00 -0400

desktop-base (1:5.8) unstable; urgency=medium

  * Fix diversion of bg image so that prerm script works.

 -- fsmithred <fsmithred@gmail.com>  Mon, 07 Apr 2025 11:47:00 -0400

desktop-base (1:5.7) unstable; urgency=medium

  * divert stubborn xfce desktop background image

 -- fsmithred <fsmithred@gmail.com>  Mon, 07 Apr 2025 10:07:00 -0400

desktop-base (1:5.6) unstable; urgency=medium

  * Remove undefined panel plugin.

 -- fsmithred <fsmithred@gmail.com>  Tue, 25 Mar 2025 19:33:00 -0400
