## desktop-base 6.0+parrot3

=== debian/changelog ===
desktop-base (2:6.0+parrot3) lory-updates; urgency=medium

  * Set parrot6 plymouth theme as default.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sun, 22 Oct 2023 17:08:27 +0200

desktop-base (2:6.0+parrot2) lory-updates; urgency=medium

  * * Don't remove grub png files.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 20 Oct 2023 05:17:13 +0200

desktop-base (2:6.0+parrot1) lory-updates; urgency=medium

  * Update parrot logo.
  * Update parrot themes.
  * Update parrot wallpaper.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 19 Oct 2023 03:32:13 +0200

desktop-base (2:5.0+parrot6) parrot-updates; urgency=medium

  * Use png format for plymouth background.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 04 Feb 2022 22:46:30 +0100

desktop-base (2:5.0+parrot5) parrot-updates; urgency=medium

  * update plymouth theme.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 03 Feb 2022 01:22:14 +0100

desktop-base (2:5.0+parrot4) parrot-updates; urgency=medium

  * Update grub wallpaper.
  * Update Parrot logo for plymouth.
  * Update (and fix) plymouth settings and alias creation.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 14 Jan 2022 02:13:40 +0100

desktop-base (2:5.0+parrot3) lts-updates; urgency=medium

  * Fix failing postinst script.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Wed, 01 Dec 2021 00:32:20 +0100

desktop-base (2:5.0+parrot2) lts-updates; urgency=medium

  * Update for Parrot 5.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 20 Aug 2021 18:45:42 +0200

desktop-base (2:5.0+parrot1) lts; urgency=medium

  * Override new Devuan version.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Wed, 31 Jul 2019 20:11:19 +0200

desktop-base (10.0.3+parrot1) testing; urgency=medium

  * Override new Debian version.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 12 Jul 2019 16:25:49 +0200

desktop-base (10.0.2+parrot1) testing; urgency=medium

  * Override new Debian version.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 25 Apr 2019 01:41:11 +0200

desktop-base (10.0.0+parrot2) testing; urgency=medium

  * Minor fix to preinst.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Tue, 19 Mar 2019 18:56:37 +0100

desktop-base (10.0.0+parrot1) testing; urgency=medium

  * Import new Debian release.
  * Update Parrot theme.
  * Remove Debian themes.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Tue, 19 Mar 2019 18:42:40 +0100

desktop-base (9.0.5+parrot1) testing; urgency=medium

  * Import minor updates from Git merge requests.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 29 Sep 2017 21:28:17 +0200

desktop-base (9.0.5+parrot0) testing; urgency=medium

  * Increment version to replace new debian version.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 24 Aug 2017 01:04:14 +0200

desktop-base (9.0.3+parrot4) testing; urgency=medium

  * Fix postinst and postrm.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 29 Jun 2017 17:30:50 +0200

desktop-base (9.0.3+parrot3) testing; urgency=medium

  * Remove debian themes to save space.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 29 Jun 2017 16:57:11 +0200

desktop-base (9.0.2+parrot2) testing; urgency=medium

  * Change GRUB text colors

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 23 Feb 2017 23:23:28 +0100

desktop-base (9.0.2+parrot1) testing; urgency=medium

  * fix 1920x1080.svg background link

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 02 Feb 2017 19:31:29 +0100

desktop-base (9.0.2+parrot0) testing; urgency=medium

  * Import new Debian release

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Wed, 01 Feb 2017 00:59:07 +0100

desktop-base (8.0.2+parrot6) testing; urgency=high

  * Debianized sources
  * Add previously removed files for kde and gnome

 -- Lorenzo "Palinuro" Faletra <palinuro@frozenbox.org>  Sat, 09 Apr 2016 19:52:11 +0200
