## desktop-base 6.0.5

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
            Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: cdbs, debhelper (>= 6)
 # libusplash-dev, imagemagick, librsvg2-bin
-Standards-Version: 3.8.0
+Standards-Version: 3.9.1
 Homepage: http://www.debian.org/devel/debian-desktop
 Vcs-Browser: http://svn.debian.org/wsvn/debian-desktop/packages/trunk/desktop-base
 Vcs-Svn: svn://svn.debian.org/debian-desktop/packages/trunk/desktop-base
@@ -15,7 +15,7 @@
 Package: desktop-base
 Architecture: all
 Depends: librsvg2-common
-Suggests: gnome | kde | xfce4 | wmaker
+Suggests: gnome | kde-standard | xfce4 | wmaker
 Description: common files for the Debian Desktop
  This package contains various miscellaneous files which are used by
  Debian Desktop installations.  Currently, it provides some
