## desktop-base 6.0.7

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Maintainer: Gustavo Franco <stratus@debian.org>
 Uploaders: Loïc Minier <lool@dooz.org>,
            Fathi Boudra <fabo@debian.org>,
-           Yves-Alexis Perez <corsac@debian.org>
-Build-Depends: cdbs, debhelper (>= 6)
+           Yves-Alexis Perez <corsac@debian.org>,
+           Josselin Mouette <joss@debian.org>
+Build-Depends: cdbs (>= 0.4.93), debhelper (>= 8.1.3)
 # libusplash-dev, imagemagick, librsvg2-bin
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.debian.org/devel/debian-desktop
 Vcs-Browser: http://svn.debian.org/wsvn/debian-desktop/packages/trunk/desktop-base
 Vcs-Svn: svn://svn.debian.org/debian-desktop/packages/trunk/desktop-base
