=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: desktop-base
 Section: x11
 Priority: optional
-Maintainer: Gustavo Franco <stratus@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Gustavo Franco <stratus@debian.org>
 Uploaders: Loïc Minier <lool@dooz.org>,
            Fathi Boudra <fabo@debian.org>,
            Yves-Alexis Perez <corsac@debian.org>,
@@ -15,6 +16,7 @@
 
 Package: desktop-base
 Architecture: all
+Pre-Depends: ${misc:Pre-Depends}
 Depends: librsvg2-common
 Suggests: gnome | kde-standard | xfce4 | wmaker
 Description: common files for the Debian Desktop
