=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,9 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/makefile.mk
 
+# needed for usplash
+CFLAGS += -fPIC
+
 DEB_MAKE_INSTALL_TARGET := install DESTDIR=$(CURDIR)/debian/desktop-base/
 
 binary-fixup/desktop-base::
