=== debian/control ===
Source: desktop-base
Section: x11
Priority: optional
Maintainer: Lorenzo Palinuro Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo Palinuro Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper (>= 13),
               inkscape,
               librsvg2-bin,
               optipng,
# For the number in debian-logo-text
               fonts-quicksand,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://www.debian.org/devel/debian-desktop/
Vcs-Browser: https://salsa.debian.org/debian-desktop-team/desktop-base
Vcs-Git: https://salsa.debian.org/debian-desktop-team/desktop-base.git

Package: desktop-base
Architecture: all
Depends: librsvg2-common,
# For the login background with logo
         fonts-quicksand,
Recommends: plymouth-label
Suggests: parrot-desktop-mate | parrot-desktop-kde
Description: common files for the Parrot Desktop
 This package contains various miscellaneous files which are used by
 Debian Desktop installations.  Currently, it provides some
 Debian-related artwork and themes, .desktop files containing links to
 Debian related material (suitable for placement on a user's desktop),
 and other common files between the available desktop environments
 such as GNOME and KDE.
