## desktop-base 7.0.0ubuntu2

=== debian/changelog ===
desktop-base (7.0.0ubuntu2) quantal; urgency=low

  * Stop installing /usr/share/desktop-base/grub_background.sh for now.  We
    should ultimately have some Ubuntu branding here, but at the moment it
    just confuses people who accidentally install desktop-base.  The
    /usr/share/images/desktop-base/desktop-grub.png alternative is too
    cumbersome to remove cleanly, so I've left it in place and arranged for
    /etc/grub.d/05_debian_theme to stop using it instead.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 04 Oct 2012 10:33:44 +0100

desktop-base (7.0.0ubuntu1) quantal; urgency=low

  * Sync with Debian. Remaining change:
    - Use maintscript support in dh_installdeb rather than writing out
      dpkg-maintscript-helper commands by hand, leading to more predictable
      behavior on upgrades.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 09 Jul 2012 22:35:36 -0400
