=== debian/control ===
Source: desktop-base
Section: x11
Priority: optional
Maintainer: Gustavo Franco <stratus@debian.org>
Uploaders: Loïc Minier <lool@dooz.org>,
           Fathi Boudra <fabo@debian.org>,
           Yves-Alexis Perez <corsac@debian.org>,
           Josselin Mouette <joss@debian.org>,
           Paul Tagliamonte <paultag@debian.org>,
           Eshat Cakar <info@eshat.de>
Build-Depends: cdbs (>= 0.4.93), debhelper (>= 9)
# libusplash-dev, imagemagick, librsvg2-bin
Standards-Version: 3.9.3
Homepage: http://www.debian.org/devel/debian-desktop
Vcs-Browser: http://svn.debian.org/wsvn/debian-desktop/packages/trunk/desktop-base
Vcs-Svn: svn://svn.debian.org/debian-desktop/packages/trunk/desktop-base

Package: desktop-base
Architecture: all
Depends: librsvg2-common
Pre-Depends: dpkg (>= 1.15.7.2~)
Suggests: gnome | kde-standard | xfce4 | wmaker
Description: common files for the Debian Desktop
 This package contains various miscellaneous files which are used by
 Debian Desktop installations.  Currently, it provides some
 Debian-related artwork and themes, .desktop files containing links to
 Debian related material (suitable for placement on a user's desktop),
 and other common files between the available desktop environments
 such as GNOME and KDE.

#Package: usplash-theme-debian-desktop
#Section: misc
#Architecture: amd64 i386 powerpc sparc
#Depends: ${shlibs:Depends}, usplash
#Provides: usplash-theme
#Description: Debian Desktop usplash theme
# This package contains an usplash theme based on Debian Desktop project.
# .
# See http://wiki.debian.org/DebianDesktopArtwork for more details.
