## desktop-base 7.0.3ubuntu1

=== Makefile ===
--- 
+++ 
@@ -94,7 +94,6 @@
 	$(INSTALL) grub/joy-grub.png $(DESTDIR)/usr/share/images/desktop-base/
 	$(INSTALL) grub/spacefun-grub.png $(DESTDIR)/usr/share/images/desktop-base/
 	$(INSTALL) grub/spacefun-grub-widescreen.png $(DESTDIR)/usr/share/images/desktop-base/
-	$(INSTALL) grub/grub_background.sh $(DESTDIR)/usr/share/desktop-base/
 
 	# plymouth
 	install -d $(DESTDIR)/usr/share/plymouth/themes/spacefun
