=== debian/changelog ===
desktop-base (7.0.3ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Stop installing /usr/share/desktop-base/grub_background.sh for now.  We
      should ultimately have some Ubuntu branding here, but at the moment it
      just confuses people who accidentally install desktop-base.  The
      /usr/share/images/desktop-base/desktop-grub.png alternative is too
      cumbersome to remove cleanly, so I've left it in place and arranged for
      /etc/grub.d/05_debian_theme to stop using it instead.
  * Dropped changes:
    - Use maintscript support in dh_installdeb rather than writing out
      dpkg-maintscript-helper commands by hand, leading to more predictable
      behavior on upgrades.

 -- Logan Rosen <logatronico@gmail.com>  Mon, 29 Oct 2012 15:36:44 -0400
