=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 include /usr/share/cdbs/1/rules/buildcore.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/makefile.mk
+
+DEB_DH_BUILDDEB_ARGS = -- -Zxz
 
 # needed for usplash
 CFLAGS += -fPIC
